Name: m4-gnu
Version: 1.4.17
Release: 2
License: GPL-3.0-or-later
Summary: GNU m4 macro processor
Url: https://www.gnu.org/software/m4/m4.html

Source0: https://ftp.gnu.org/gnu/m4/m4-%{version}.tar.gz

%description
GNU M4 is an implementation of the traditional Unix macro processor. It is
mostly SVR4 compatible although it has some extensions (for example, handling
more than 9 positional parameters to macros). GNU M4 also has built-in functions
for including files, running shell commands, doing arithmetic, etc.

%prep
%setup -q -n m4-%{version}

%build

%configure \
  ac_cv_func_sched_setscheduler=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --with-syscmd-shell=/QOpenSys/usr/bin/sh \
  --disable-rpath
  

%make_build

%install

%make_install

rm %{buildroot}%{_libdir}/charset.alias || :

%files
%defattr(-, qsys, *none)

%{_bindir}/m4
%{_infodir}/m4.info-*
%{_infodir}/m4.info*
%{_mandir}/man1/m4.1*

%changelog
* Wed Mar 30 2022 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.4.17
- Stop linking to sched_setscheduler

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 1.4.17
- Use generic paths for man and info pages to allow for compression

* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com> - 1.4.17
- Use SPDX license

* Mon Mar 12 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing and unshipped files
- Remove charset.alias

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
